=== modified file 'adt_result_checker/__init__.py'
--- adt_result_checker/__init__.py	2015-04-14 22:39:01 +0000
+++ adt_result_checker/__init__.py	2015-04-14 22:43:24 +0000
@@ -105,8 +105,8 @@
                     #    constantly requeueing messages. Does this matter?
                     # 2) If the cloud-worker never uploaded the tarball at all,
                     #    this message will never leave the queue.
-                    # 3) If our swift credentials are busted, this will similarly
-                    #    requeue forever.
+                    # 3) If our swift credentials are busted, this will
+                    #    similarly requeue forever.
                     logger.warning(
                         "Requeueing message for request id '%s' since it's "
                         "result tarball is not in swift yet.",
@@ -116,7 +116,8 @@
                     message.requeue()
 
     def insert_into_dead_letter_queue(self, message, reason):
-        """Insert 'message_payload' into the dead-letter queue, with 'reason'."""
+        """Insert 'message_payload' into the dead-letter queue,
+        with 'reason'."""
         logger.error(
             "Inserting payload into dead letter queue. Reason: %s",
             reason,
@@ -135,7 +136,8 @@
         # why we ack this message, even though we're really failing it.
         message.payload['deadletter_reason'] = reason
 
-        queue = self.connection.SimpleQueue('adt.deadletters.{}'.format(API_VERSION))
+        queue = self.connection.SimpleQueue(
+            'adt.deadletters.{}'.format(API_VERSION))
         queue.put(message.payload)
         queue.close()
 
@@ -164,15 +166,16 @@
                 'adt.requests.{}'.format(routing_key),
                 self.adt_exchange, routing_key=routing_key)
 
-            # Always declare exchange and destination queue, even if there are no
-            # available works the request is preserved.
+            # Always declare exchange and destination queue, even if
+            # there are no available works the request is preserved.
             declare = [self.adt_exchange, queue]
 
             with producers[self.connection].acquire(block=True) as producer:
 
                 def errback(exc, interval):
-                    # TODO: Figure out when we've stopped retrying, and add this
-                    # message to the dead letter queue with a helpful error message
+                    # TODO: Figure out when we've stopped retrying, and
+                    # add this message to the dead letter queue with a
+                    # helpful error message
                     logger.error('Error: %r', exc, exc_info=1)
                     logger.info('Retry in %s seconds.', interval)
 
@@ -188,7 +191,7 @@
             dead_reason = "Maximum retry count exceeded"
             if reason:
                 dead_reason += ' ({})'.format(reason)
-            self.insert_into_dead_letter_queue( message, dead_reason)
+            self.insert_into_dead_letter_queue(message, dead_reason)
 
     def post_results(self, request_id):
         """Post the results of a successful test run.

=== modified file 'adt_result_checker/_cloud_support.py'
--- adt_result_checker/_cloud_support.py	2015-03-18 21:42:30 +0000
+++ adt_result_checker/_cloud_support.py	2015-04-14 22:43:24 +0000
@@ -18,10 +18,8 @@
 """Functions that talk to the cloud."""
 
 import logging
-from functools import lru_cache
 
 from swiftclient.service import (
-    SwiftPostObject,
     SwiftService,
 )
 
@@ -31,11 +29,9 @@
 __all__ = [
     'result_tarball_exists_in_swift',
     'set_config_dict',
-    'upload_tarball_to_swift_container',
 ]
 
 
-
 def set_config_dict(config_dict):
     global get_config_dict
     get_config_dict = lambda: config_dict

=== modified file 'setup.py'
--- setup.py	2015-03-16 20:44:01 +0000
+++ setup.py	2015-04-14 22:43:24 +0000
@@ -21,13 +21,12 @@
 import sys
 assert sys.version_info >= (3,), 'Python 3 is required'
 
-from setuptools import find_packages, setup, Extension
+from setuptools import find_packages, setup
 
 
 VERSION = '1.0.0'
 
 
-
 setup(
     name='adt-result-checker',
     version=VERSION,

